# Generated from jmblog-theme-1.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name jmblog-theme

Name: rubygem-%{gem_name}
Version: 1.2
Release: 1%{?dist}
Summary: Clean minimalist blog theme inspired by Wix train of thought
License: MIT
URL: https://www.jmoxon.net
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Clean minimalist blog theme inspired by Wix train of thought.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/_config.yml
%{gem_instdir}/_data
%{gem_instdir}/_includes
%{gem_instdir}/_layouts
%{gem_instdir}/_pages
%{gem_instdir}/_posts
%{gem_instdir}/assets
%{gem_instdir}/index.html
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/_authors

%changelog
* Mon Sep 13 2021 mockbuilder - 1.2-1
- Initial package
